# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically from http://www.w3.org/ns/csvw
require 'json/ld'
class JSON::LD::Context
  add_preloaded("http://www.w3.org/ns/csvw") do
    new(processingMode: "json-ld-1.1", term_definitions: {
      "Cell" => TermDefinition.new("Cell", id: "http://www.w3.org/ns/csvw#Cell", simple: true),
      "Column" => TermDefinition.new("Column", id: "http://www.w3.org/ns/csvw#Column", simple: true),
      "Datatype" => TermDefinition.new("Datatype", id: "http://www.w3.org/ns/csvw#Datatype", simple: true),
      "Dialect" => TermDefinition.new("Dialect", id: "http://www.w3.org/ns/csvw#Dialect", simple: true),
      "Direction" => TermDefinition.new("Direction", id: "http://www.w3.org/ns/csvw#Direction", simple: true),
      "ForeignKey" => TermDefinition.new("ForeignKey", id: "http://www.w3.org/ns/csvw#ForeignKey", simple: true),
      "JSON" => TermDefinition.new("JSON", id: "http://www.w3.org/ns/csvw#JSON", simple: true),
      "NCName" => TermDefinition.new("NCName", id: "http://www.w3.org/2001/XMLSchema#NCName", simple: true),
      "NMTOKEN" => TermDefinition.new("NMTOKEN", id: "http://www.w3.org/2001/XMLSchema#NMTOKEN", simple: true),
      "Name" => TermDefinition.new("Name", id: "http://www.w3.org/2001/XMLSchema#Name", simple: true),
      "NumericFormat" => TermDefinition.new("NumericFormat", id: "http://www.w3.org/ns/csvw#NumericFormat", simple: true),
      "QName" => TermDefinition.new("QName", id: "http://www.w3.org/2001/XMLSchema#QName", simple: true),
      "Row" => TermDefinition.new("Row", id: "http://www.w3.org/ns/csvw#Row", simple: true),
      "Schema" => TermDefinition.new("Schema", id: "http://www.w3.org/ns/csvw#Schema", simple: true),
      "Table" => TermDefinition.new("Table", id: "http://www.w3.org/ns/csvw#Table", simple: true),
      "TableGroup" => TermDefinition.new("TableGroup", id: "http://www.w3.org/ns/csvw#TableGroup", simple: true),
      "TableReference" => TermDefinition.new("TableReference", id: "http://www.w3.org/ns/csvw#TableReference", simple: true),
      "Transformation" => TermDefinition.new("Transformation", id: "http://www.w3.org/ns/csvw#Transformation", simple: true),
      "aboutUrl" => TermDefinition.new("aboutUrl", id: "http://www.w3.org/ns/csvw#aboutUrl", type_mapping: "http://www.w3.org/ns/csvw#uriTemplate"),
      "any" => TermDefinition.new("any", id: "http://www.w3.org/2001/XMLSchema#anyAtomicType", simple: true),
      "anyAtomicType" => TermDefinition.new("anyAtomicType", id: "http://www.w3.org/2001/XMLSchema#anyAtomicType", simple: true),
      "anyURI" => TermDefinition.new("anyURI", id: "http://www.w3.org/2001/XMLSchema#anyURI", simple: true),
      "as" => TermDefinition.new("as", id: "https://www.w3.org/ns/activitystreams#", simple: true, prefix: true),
      "base" => TermDefinition.new("base", id: "http://www.w3.org/ns/csvw#base"),
      "base64Binary" => TermDefinition.new("base64Binary", id: "http://www.w3.org/2001/XMLSchema#base64Binary", simple: true),
      "binary" => TermDefinition.new("binary", id: "http://www.w3.org/2001/XMLSchema#base64Binary", simple: true),
      "boolean" => TermDefinition.new("boolean", id: "http://www.w3.org/2001/XMLSchema#boolean", simple: true),
      "byte" => TermDefinition.new("byte", id: "http://www.w3.org/2001/XMLSchema#byte", simple: true),
      "cc" => TermDefinition.new("cc", id: "http://creativecommons.org/ns#", simple: true, prefix: true),
      "columnReference" => TermDefinition.new("columnReference", id: "http://www.w3.org/ns/csvw#columnReference", container_mapping: "@list"),
      "columns" => TermDefinition.new("columns", id: "http://www.w3.org/ns/csvw#column", type_mapping: "@id", container_mapping: "@list"),
      "commentPrefix" => TermDefinition.new("commentPrefix", id: "http://www.w3.org/ns/csvw#commentPrefix"),
      "csvw" => TermDefinition.new("csvw", id: "http://www.w3.org/ns/csvw#", simple: true, prefix: true),
      "ctag" => TermDefinition.new("ctag", id: "http://commontag.org/ns#", simple: true, prefix: true),
      "datatype" => TermDefinition.new("datatype", id: "http://www.w3.org/ns/csvw#datatype", type_mapping: "@vocab"),
      "date" => TermDefinition.new("date", id: "http://www.w3.org/2001/XMLSchema#date", simple: true),
      "dateTime" => TermDefinition.new("dateTime", id: "http://www.w3.org/2001/XMLSchema#dateTime", simple: true),
      "dateTimeStamp" => TermDefinition.new("dateTimeStamp", id: "http://www.w3.org/2001/XMLSchema#dateTimeStamp", simple: true),
      "datetime" => TermDefinition.new("datetime", id: "http://www.w3.org/2001/XMLSchema#dateTime", simple: true),
      "dayTimeDuration" => TermDefinition.new("dayTimeDuration", id: "http://www.w3.org/2001/XMLSchema#dayTimeDuration", simple: true),
      "dc" => TermDefinition.new("dc", id: "http://purl.org/dc/terms/", simple: true, prefix: true),
      "dc11" => TermDefinition.new("dc11", id: "http://purl.org/dc/elements/1.1/", simple: true, prefix: true),
      "dcat" => TermDefinition.new("dcat", id: "http://www.w3.org/ns/dcat#", simple: true, prefix: true),
      "dcterms" => TermDefinition.new("dcterms", id: "http://purl.org/dc/terms/", simple: true, prefix: true),
      "dctypes" => TermDefinition.new("dctypes", id: "http://purl.org/dc/dcmitype/", simple: true, prefix: true),
      "decimal" => TermDefinition.new("decimal", id: "http://www.w3.org/2001/XMLSchema#decimal", simple: true),
      "decimalChar" => TermDefinition.new("decimalChar", id: "http://www.w3.org/ns/csvw#decimalChar"),
      "default" => TermDefinition.new("default", id: "http://www.w3.org/ns/csvw#default"),
      "delimiter" => TermDefinition.new("delimiter", id: "http://www.w3.org/ns/csvw#delimiter"),
      "describedby" => TermDefinition.new("describedby", id: "http://www.w3.org/2007/05/powder-s#describedby", simple: true),
      "describes" => TermDefinition.new("describes", id: "http://www.w3.org/ns/csvw#describes"),
      "dialect" => TermDefinition.new("dialect", id: "http://www.w3.org/ns/csvw#dialect", type_mapping: "@id"),
      "double" => TermDefinition.new("double", id: "http://www.w3.org/2001/XMLSchema#double", simple: true),
      "doubleQuote" => TermDefinition.new("doubleQuote", id: "http://www.w3.org/ns/csvw#doubleQuote", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "dqv" => TermDefinition.new("dqv", id: "http://www.w3.org/ns/dqv#", simple: true, prefix: true),
      "duration" => TermDefinition.new("duration", id: "http://www.w3.org/2001/XMLSchema#duration", simple: true),
      "duv" => TermDefinition.new("duv", id: "https://www.w3.org/TR/vocab-duv#", simple: true, prefix: true),
      "encoding" => TermDefinition.new("encoding", id: "http://www.w3.org/ns/csvw#encoding"),
      "float" => TermDefinition.new("float", id: "http://www.w3.org/2001/XMLSchema#float", simple: true),
      "foaf" => TermDefinition.new("foaf", id: "http://xmlns.com/foaf/0.1/", simple: true, prefix: true),
      "foreignKeys" => TermDefinition.new("foreignKeys", id: "http://www.w3.org/ns/csvw#foreignKey", type_mapping: "@id"),
      "format" => TermDefinition.new("format", id: "http://www.w3.org/ns/csvw#format"),
      "gDay" => TermDefinition.new("gDay", id: "http://www.w3.org/2001/XMLSchema#gDay", simple: true),
      "gMonth" => TermDefinition.new("gMonth", id: "http://www.w3.org/2001/XMLSchema#gMonth", simple: true),
      "gMonthDay" => TermDefinition.new("gMonthDay", id: "http://www.w3.org/2001/XMLSchema#gMonthDay", simple: true),
      "gYear" => TermDefinition.new("gYear", id: "http://www.w3.org/2001/XMLSchema#gYear", simple: true),
      "gYearMonth" => TermDefinition.new("gYearMonth", id: "http://www.w3.org/2001/XMLSchema#gYearMonth", simple: true),
      "gr" => TermDefinition.new("gr", id: "http://purl.org/goodrelations/v1#", simple: true, prefix: true),
      "grddl" => TermDefinition.new("grddl", id: "http://www.w3.org/2003/g/data-view#", simple: true, prefix: true),
      "groupChar" => TermDefinition.new("groupChar", id: "http://www.w3.org/ns/csvw#groupChar", type_mapping: "NumericFormat,xsd:string"),
      "header" => TermDefinition.new("header", id: "http://www.w3.org/ns/csvw#header", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "headerRowCount" => TermDefinition.new("headerRowCount", id: "http://www.w3.org/ns/csvw#headerRowCount", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "hexBinary" => TermDefinition.new("hexBinary", id: "http://www.w3.org/2001/XMLSchema#hexBinary", simple: true),
      "html" => TermDefinition.new("html", id: "http://www.w3.org/1999/02/22-rdf-syntax-ns#HTML", simple: true),
      "ical" => TermDefinition.new("ical", id: "http://www.w3.org/2002/12/cal/icaltzd#", simple: true, prefix: true),
      "int" => TermDefinition.new("int", id: "http://www.w3.org/2001/XMLSchema#int", simple: true),
      "integer" => TermDefinition.new("integer", id: "http://www.w3.org/2001/XMLSchema#integer", simple: true),
      "json" => TermDefinition.new("json", id: "http://www.w3.org/ns/csvw#JSON", simple: true),
      "lang" => TermDefinition.new("lang", id: "http://www.w3.org/ns/csvw#lang"),
      "language" => TermDefinition.new("language", id: "http://www.w3.org/2001/XMLSchema#language", simple: true),
      "ldp" => TermDefinition.new("ldp", id: "http://www.w3.org/ns/ldp#", simple: true, prefix: true),
      "length" => TermDefinition.new("length", id: "http://www.w3.org/ns/csvw#length", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "license" => TermDefinition.new("license", id: "http://www.w3.org/1999/xhtml/vocab#license", simple: true),
      "lineTerminators" => TermDefinition.new("lineTerminators", id: "http://www.w3.org/ns/csvw#lineTerminators"),
      "long" => TermDefinition.new("long", id: "http://www.w3.org/2001/XMLSchema#long", simple: true),
      "ma" => TermDefinition.new("ma", id: "http://www.w3.org/ns/ma-ont#", simple: true, prefix: true),
      "maxExclusive" => TermDefinition.new("maxExclusive", id: "http://www.w3.org/ns/csvw#maxExclusive", type_mapping: "http://www.w3.org/2001/XMLSchema#integer"),
      "maxInclusive" => TermDefinition.new("maxInclusive", id: "http://www.w3.org/ns/csvw#maxInclusive", type_mapping: "http://www.w3.org/2001/XMLSchema#integer"),
      "maxLength" => TermDefinition.new("maxLength", id: "http://www.w3.org/ns/csvw#maxLength", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "maximum" => TermDefinition.new("maximum", id: "http://www.w3.org/ns/csvw#maxInclusive", simple: true),
      "minExclusive" => TermDefinition.new("minExclusive", id: "http://www.w3.org/ns/csvw#minExclusive", type_mapping: "http://www.w3.org/2001/XMLSchema#integer"),
      "minInclusive" => TermDefinition.new("minInclusive", id: "http://www.w3.org/ns/csvw#minInclusive", type_mapping: "http://www.w3.org/2001/XMLSchema#integer"),
      "minLength" => TermDefinition.new("minLength", id: "http://www.w3.org/ns/csvw#minLength", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "minimum" => TermDefinition.new("minimum", id: "http://www.w3.org/ns/csvw#minInclusive", simple: true),
      "name" => TermDefinition.new("name", id: "http://www.w3.org/ns/csvw#name"),
      "negativeInteger" => TermDefinition.new("negativeInteger", id: "http://www.w3.org/2001/XMLSchema#negativeInteger", simple: true),
      "nonNegativeInteger" => TermDefinition.new("nonNegativeInteger", id: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger", simple: true),
      "nonPositiveInteger" => TermDefinition.new("nonPositiveInteger", id: "http://www.w3.org/2001/XMLSchema#nonPositiveInteger", simple: true),
      "normalizedString" => TermDefinition.new("normalizedString", id: "http://www.w3.org/2001/XMLSchema#normalizedString", simple: true),
      "notes" => TermDefinition.new("notes", id: "http://www.w3.org/ns/csvw#note"),
      "null" => TermDefinition.new("null", id: "http://www.w3.org/ns/csvw#null"),
      "number" => TermDefinition.new("number", id: "http://www.w3.org/2001/XMLSchema#double", simple: true),
      "oa" => TermDefinition.new("oa", id: "http://www.w3.org/ns/oa#", simple: true, prefix: true),
      "og" => TermDefinition.new("og", id: "http://ogp.me/ns#", simple: true, prefix: true),
      "ordered" => TermDefinition.new("ordered", id: "http://www.w3.org/ns/csvw#ordered", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "org" => TermDefinition.new("org", id: "http://www.w3.org/ns/org#", simple: true, prefix: true),
      "owl" => TermDefinition.new("owl", id: "http://www.w3.org/2002/07/owl#", simple: true, prefix: true),
      "pattern" => TermDefinition.new("pattern", id: "http://www.w3.org/ns/csvw#pattern"),
      "positiveInteger" => TermDefinition.new("positiveInteger", id: "http://www.w3.org/2001/XMLSchema#positiveInteger", simple: true),
      "primaryKey" => TermDefinition.new("primaryKey", id: "http://www.w3.org/ns/csvw#primaryKey"),
      "propertyUrl" => TermDefinition.new("propertyUrl", id: "http://www.w3.org/ns/csvw#propertyUrl", type_mapping: "http://www.w3.org/ns/csvw#uriTemplate"),
      "prov" => TermDefinition.new("prov", id: "http://www.w3.org/ns/prov#", simple: true, prefix: true),
      "qb" => TermDefinition.new("qb", id: "http://purl.org/linked-data/cube#", simple: true, prefix: true),
      "quoteChar" => TermDefinition.new("quoteChar", id: "http://www.w3.org/ns/csvw#quoteChar"),
      "rdf" => TermDefinition.new("rdf", id: "http://www.w3.org/1999/02/22-rdf-syntax-ns#", simple: true, prefix: true),
      "rdfa" => TermDefinition.new("rdfa", id: "http://www.w3.org/ns/rdfa#", simple: true, prefix: true),
      "rdfs" => TermDefinition.new("rdfs", id: "http://www.w3.org/2000/01/rdf-schema#", simple: true, prefix: true),
      "reference" => TermDefinition.new("reference", id: "http://www.w3.org/ns/csvw#reference", type_mapping: "@id"),
      "referencedRows" => TermDefinition.new("referencedRows", id: "http://www.w3.org/ns/csvw#referencedRow"),
      "required" => TermDefinition.new("required", id: "http://www.w3.org/ns/csvw#required", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "resource" => TermDefinition.new("resource", id: "http://www.w3.org/ns/csvw#resource", type_mapping: "http://www.w3.org/2001/XMLSchema#anyURI"),
      "rev" => TermDefinition.new("rev", id: "http://purl.org/stuff/rev#", simple: true, prefix: true),
      "rif" => TermDefinition.new("rif", id: "http://www.w3.org/2007/rif#", simple: true, prefix: true),
      "role" => TermDefinition.new("role", id: "http://www.w3.org/1999/xhtml/vocab#role", simple: true),
      "row" => TermDefinition.new("row", id: "http://www.w3.org/ns/csvw#row", type_mapping: "@id", container_mapping: "@set"),
      "rowTitles" => TermDefinition.new("rowTitles", id: "http://www.w3.org/ns/csvw#rowTitle"),
      "rownum" => TermDefinition.new("rownum", id: "http://www.w3.org/ns/csvw#rownum", type_mapping: "http://www.w3.org/2001/XMLSchema#integer"),
      "rr" => TermDefinition.new("rr", id: "http://www.w3.org/ns/r2rml#", simple: true, prefix: true),
      "schema" => TermDefinition.new("schema", id: "http://schema.org/", simple: true, prefix: true),
      "schemaReference" => TermDefinition.new("schemaReference", id: "http://www.w3.org/ns/csvw#schemaReference", type_mapping: "http://www.w3.org/2001/XMLSchema#anyURI"),
      "scriptFormat" => TermDefinition.new("scriptFormat", id: "http://www.w3.org/ns/csvw#scriptFormat", type_mapping: "http://www.w3.org/2001/XMLSchema#anyURI"),
      "sd" => TermDefinition.new("sd", id: "http://www.w3.org/ns/sparql-service-description#", simple: true, prefix: true),
      "separator" => TermDefinition.new("separator", id: "http://www.w3.org/ns/csvw#separator"),
      "short" => TermDefinition.new("short", id: "http://www.w3.org/2001/XMLSchema#short", simple: true),
      "sioc" => TermDefinition.new("sioc", id: "http://rdfs.org/sioc/ns#", simple: true, prefix: true),
      "skipBlankRows" => TermDefinition.new("skipBlankRows", id: "http://www.w3.org/ns/csvw#skipBlankRows", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "skipColumns" => TermDefinition.new("skipColumns", id: "http://www.w3.org/ns/csvw#skipColumns", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "skipInitialSpace" => TermDefinition.new("skipInitialSpace", id: "http://www.w3.org/ns/csvw#skipInitialSpace", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "skipRows" => TermDefinition.new("skipRows", id: "http://www.w3.org/ns/csvw#skipRows", type_mapping: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger"),
      "skos" => TermDefinition.new("skos", id: "http://www.w3.org/2004/02/skos/core#", simple: true, prefix: true),
      "skosxl" => TermDefinition.new("skosxl", id: "http://www.w3.org/2008/05/skos-xl#", simple: true, prefix: true),
      "source" => TermDefinition.new("source", id: "http://www.w3.org/ns/csvw#source"),
      "string" => TermDefinition.new("string", id: "http://www.w3.org/2001/XMLSchema#string", simple: true),
      "suppressOutput" => TermDefinition.new("suppressOutput", id: "http://www.w3.org/ns/csvw#suppressOutput", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "tableDirection" => TermDefinition.new("tableDirection", id: "http://www.w3.org/ns/csvw#tableDirection", type_mapping: "@vocab"),
      "tableSchema" => TermDefinition.new("tableSchema", id: "http://www.w3.org/ns/csvw#tableSchema", type_mapping: "@id"),
      "tables" => TermDefinition.new("tables", id: "http://www.w3.org/ns/csvw#table", type_mapping: "@id", container_mapping: "@set"),
      "targetFormat" => TermDefinition.new("targetFormat", id: "http://www.w3.org/ns/csvw#targetFormat", type_mapping: "http://www.w3.org/2001/XMLSchema#anyURI"),
      "textDirection" => TermDefinition.new("textDirection", id: "http://www.w3.org/ns/csvw#textDirection", type_mapping: "@vocab"),
      "time" => TermDefinition.new("time", id: "http://www.w3.org/2001/XMLSchema#time", simple: true),
      "titles" => TermDefinition.new("titles", id: "http://www.w3.org/ns/csvw#title", container_mapping: "@language"),
      "token" => TermDefinition.new("token", id: "http://www.w3.org/2001/XMLSchema#token", simple: true),
      "transformations" => TermDefinition.new("transformations", id: "http://www.w3.org/ns/csvw#transformations", type_mapping: "@id"),
      "trim" => TermDefinition.new("trim", id: "http://www.w3.org/ns/csvw#trim", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "unsignedByte" => TermDefinition.new("unsignedByte", id: "http://www.w3.org/2001/XMLSchema#unsignedByte", simple: true),
      "unsignedInt" => TermDefinition.new("unsignedInt", id: "http://www.w3.org/2001/XMLSchema#unsignedInt", simple: true),
      "unsignedLong" => TermDefinition.new("unsignedLong", id: "http://www.w3.org/2001/XMLSchema#unsignedLong", simple: true),
      "unsignedShort" => TermDefinition.new("unsignedShort", id: "http://www.w3.org/2001/XMLSchema#unsignedShort", simple: true),
      "uriTemplate" => TermDefinition.new("uriTemplate", id: "http://www.w3.org/ns/csvw#uriTemplate", simple: true),
      "url" => TermDefinition.new("url", id: "http://www.w3.org/ns/csvw#url", type_mapping: "http://www.w3.org/2001/XMLSchema#anyURI"),
      "v" => TermDefinition.new("v", id: "http://rdf.data-vocabulary.org/#", simple: true, prefix: true),
      "valueUrl" => TermDefinition.new("valueUrl", id: "http://www.w3.org/ns/csvw#valueUrl", type_mapping: "http://www.w3.org/ns/csvw#uriTemplate"),
      "vcard" => TermDefinition.new("vcard", id: "http://www.w3.org/2006/vcard/ns#", simple: true, prefix: true),
      "virtual" => TermDefinition.new("virtual", id: "http://www.w3.org/ns/csvw#virtual", type_mapping: "http://www.w3.org/2001/XMLSchema#boolean"),
      "void" => TermDefinition.new("void", id: "http://rdfs.org/ns/void#", simple: true, prefix: true),
      "wdr" => TermDefinition.new("wdr", id: "http://www.w3.org/2007/05/powder#", simple: true, prefix: true),
      "wrds" => TermDefinition.new("wrds", id: "http://www.w3.org/2007/05/powder-s#", simple: true, prefix: true),
      "xhv" => TermDefinition.new("xhv", id: "http://www.w3.org/1999/xhtml/vocab#", simple: true, prefix: true),
      "xml" => TermDefinition.new("xml", id: "http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral", simple: true),
      "xsd" => TermDefinition.new("xsd", id: "http://www.w3.org/2001/XMLSchema#", simple: true, prefix: true),
      "yearMonthDuration" => TermDefinition.new("yearMonthDuration", id: "http://www.w3.org/2001/XMLSchema#yearMonthDuration", simple: true)
    })
  end
  alias_preloaded("https://www.w3.org/ns/csvw", "http://www.w3.org/ns/csvw")
end
